%% ------------------------------------------------------------------------- %%
\chapter{Final Remarks}
\label{cap:conclusions}

By providing a support group to its members, FLUSP decreased the learning curve
related to the ingress in a new project and the learning of the contribution
process in the free software community. Since the group was already established,
its participants can exercise a collaborative practice during its weekly
activities and reunions. FLUSP was also able to provide its most experienced
members with an engaging environment where knowledge sharing was possible. This
factor can be associated with a lower dropout rate and higher permanence in the
community.

Such student groups serve as an example to show how undergraduate initiatives
can have a meaningful impact on a FLOSS project, therefore contributing to the
maintenance and expansion of the FLOSS community. We also expect this work can
motivate the creation of similar initiatives in other colleges.

By taking advantage of the lessons learned from the FLUSP experience, upcoming
groups may improve their structure and efficacy even further. Pair programming
can be seen as a tool to simplify the knowledge sharing among the group members.
Internal reviewing decreases the number of faulty patches sent to a project’s
official repository, besides working to make the reviewer more acquainted with
its source code. Blog posting is advantageous as a way for a participant to put
into practice the skills they have acquired and is also useful for spreading
knowledge beyond the group’s scope. By exposing the writer’s abilities, they are
also helpful in case their author wants to apply for a job or a program, such as
GSoC. Besides, the holding of events related to FLOSS projects can stimulate the
interest of external people in the subject and potentially bring more members to
the group.

Finally, this work can provide ground to the premise that FLOSS communities can
use study groups as tools to promote the FLOSS initiative and improve the
retention of its members.  Further studies about this subject are encouraged as
a way to better ground these findings. It would also be interesting to analyze
why some of the group's initiatives - such as KDD - did not have the desired
outcome of engaging new contributors in the long term in the FLOSS community,
and what could be done instead to produce the desired outcome of sustained
engagement in a FLOSS project.
